[
{
    blockid=option;
    help=logfiles_option_option;
    localvar={
	/* translate this block */
	.level.text="Detailebenen:";
	.level.tip="Ereignisse der angegebenen und der dar\u00fcber liegenden Ebenen werden protokolliert";
	.level.labels=["Kritisch","Fehler","Warnung","Hinweis","Information","Debug"];
	.path.text="Verzeichnispfad f\u00fcr Protokolldateien:";
	.num.text="Anzahl der Protokolle pro Verzeichnis:";
	.size.labels=["KB","MB"];
	.size.text="Dateigr\u00f6\u00dfe f\u00fcr jedes Protokoll:";
	.size.tip="Wenn eine Protokolldatei die angegebene Gr\u00f6\u00dfe \u00fcberschreitet, wird eine neue Datei erstellt.";
	.roll.text="Neues Protokoll erstellen alle:";
	.roll.labels=["Stunde(n)","Tag(e)"];
	.max.text="Wenn die Gesamtgr\u00f6\u00dfe des Protokolls die folgende Gr\u00f6\u00dfe \u00fcbersteigt:";
	.min.text="Wenn freier Festplattenspeicher weniger ist als:";
	.age.text="Wenn ein Protokoll \u00e4lter ist als:";
	.age.labels=["Stunde(n)","Tag(e)"];
	.rotate.border=[titled,"Rotationsrichtlinie f\u00fcr Protokolldateien"];
	.expire.border=[titled,"Ablaufrichtlinie f\u00fcr Protokolldateien"];
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=levellabel;
		    text=$.level.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		    target=levelctrl;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=choice;
		    id=levelctrl;
		    label=levellabel;
		    labels=$.level.labels;
		    items=[Critical,Error,Warning,Notice,Information,Debug];
		    val=$loglevel.value;
		    aligny=0.5;
		    tip=$.level.tip;
		},
		{
		    ctrl=hglue;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=pathlabel;
		    text=$.path.text;
		    wrap=$g.label.size1;
		    target=pathctrl;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    id=pathctrl;
		    val=$logdir.value;
		    label=pathlabel;
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$.rotate.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=sizelabel;
			    text=$.size.text;
			    wrap=$g.label.size2;
			    target=sizectrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    id=sizectrl;
			    val=$maxlogfilesize.value;
			    label=sizelabel;
			    items=[kb,mb];
			    labels=$.size.labels;
			    unit=byte;
			    aligny=0.5;
			    tip=$.size.tip;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=rolllabel;
			    text=$.roll.text;
			    wrap=$g.label.size2;
			    target=rollctrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    items=[hr,day];
			    labels=$.roll.labels;
			    unit=sec;
			    id=rollctrl;
			    val=$rollovertime.value;
			    label=rolllabel;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$.expire.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=numlabel;
			    text=$.num.text;
			    wrap=$g.label.size2;
			    target=numctrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    id=numctrl;
			    val=$maxlogfiles.value;
			    label=numlabel;
			    max=100;
			    min=1;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=maxlabel;
			    text=$.max.text;
			    wrap=$g.label.size2;
			    target=maxctrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    id=maxctrl;
			    val=$maxlogsize.value;
			    label=maxlabel;
			    items=[kb,mb];
			    labels=$.size.labels;
			    unit=byte;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=minlabel;
			    text=$.min.text;
			    wrap=$g.label.size2;
			    target=minctrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    id=minctrl;
			    val=$minfreediskspace.value;
			    label=minlabel;
			    items=[kb,mb];
			    labels=$.size.labels;
			    unit=byte;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=agelabel;
			    text=$.age.text;
			    wrap=$g.label.size2;
			    target=agectrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    items=[hr,day];
			    labels=$.age.labels;
			    unit=sec;
			    id=agectrl;
			    val=$expirytime.value;
			    label=agelabel;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	}
    ]
}
]
